<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlSynthFreqMonConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlSynthFreqMonConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Synthesizer frequency monitoring configuration.  
 <a href="structrl_synth_freq_mon_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a7f945029877d1942578bf71888951461"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f945029877d1942578bf71888951461"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_synth_freq_mon_conf__t.html#a7f945029877d1942578bf71888951461">profileIndx</a></td></tr>
<tr class="memdesc:a7f945029877d1942578bf71888951461"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the Profile Index for which this configuration applies. <br /></td></tr>
<tr class="separator:a7f945029877d1942578bf71888951461"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade1cb40f6c95ce07bf908e48972422e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade1cb40f6c95ce07bf908e48972422e0"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_synth_freq_mon_conf__t.html#ade1cb40f6c95ce07bf908e48972422e0">reportMode</a></td></tr>
<tr class="memdesc:ade1cb40f6c95ce07bf908e48972422e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value Definition <br />
 0 Report is sent every monitoring period without threshold check <br />
 1 Report is send only upon a failure (after checking for thresholds) <br />
 2 Report is sent every monitoring period with threshold check <br />
. <br /></td></tr>
<tr class="separator:ade1cb40f6c95ce07bf908e48972422e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba538a6ea1b0e43a035797d82bf2fc6e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba538a6ea1b0e43a035797d82bf2fc6e"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_synth_freq_mon_conf__t.html#aba538a6ea1b0e43a035797d82bf2fc6e">freqErrThresh</a></td></tr>
<tr class="memdesc:aba538a6ea1b0e43a035797d82bf2fc6e"><td class="mdescLeft">&#160;</td><td class="mdescRight">During the chirp, the error of the measured instantaneous chirp frequency w.r.t. <br />
 the desired value is continuously compared against this threshold. <br />
 The comparison result is part of the monitoring report message (Error bit is <br />
 set if the measurement is above this threshold, ever during the previous <br />
 monitoring period). <br />
 1 LSB = 1 kHz <br />
 Valid range: TBD <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:aba538a6ea1b0e43a035797d82bf2fc6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ab02322b8e7a9200437e57fb83c844f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ab02322b8e7a9200437e57fb83c844f"></a>
rlInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_synth_freq_mon_conf__t.html#a2ab02322b8e7a9200437e57fb83c844f">monStartTime</a></td></tr>
<tr class="memdesc:a2ab02322b8e7a9200437e57fb83c844f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field determines when the monitoring starts in each <br />
 chirp relative to the start of the ramp. <br />
 1 LSB = 0.2us, signed number <br />
 Valid range: -25us to 25us <br />
. <br /></td></tr>
<tr class="separator:a2ab02322b8e7a9200437e57fb83c844f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a130a43dd95e8348eff3779973da41918"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a130a43dd95e8348eff3779973da41918"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_synth_freq_mon_conf__t.html#a130a43dd95e8348eff3779973da41918">reserved0</a></td></tr>
<tr class="memdesc:a130a43dd95e8348eff3779973da41918"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a130a43dd95e8348eff3779973da41918"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab9d8323e425e3a824836cce1d5ec378"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab9d8323e425e3a824836cce1d5ec378"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_synth_freq_mon_conf__t.html#aab9d8323e425e3a824836cce1d5ec378">reserved2</a></td></tr>
<tr class="memdesc:aab9d8323e425e3a824836cce1d5ec378"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:aab9d8323e425e3a824836cce1d5ec378"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Synthesizer frequency monitoring configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
